/*
 * This library contains code used to send positioning requests (normal,
 * calibration or autocalibration) to the aggregaton server.
 */

#ifndef _LIBOWLPS_CLIENT_
#define _LIBOWLPS_CLIENT_

#include "../../libowlps/owlps.h"

/* Error codes */
#define ERR_CREATING_SOCKET 151 // Error when creating output socket
#define ERR_SENDING_INFO 152 // Error sending a localisation request


/* Function headers */
int owlps_create_socket_to_aggregator(char *dest_ip, int dest_port,
                                      struct sockaddr_in *server,
                                      char *iface) ;
void owlps_use_iface(int sockfd, char *iface) ;
void owlps_send_request(int sockfd, struct sockaddr_in *server,
                        char *packet, int packet_size,
                        short nb_pkt, long delay) ;
void owlps_send_packet(int sockfd, struct sockaddr_in *server,
                       void *packet, int packet_size) ;


#endif // _LIBOWLPS_CLIENT_
